import instance from "@/utils/instance"
// 登录
export const postLogin = (data) => instance.post("/firectrl/school/policeman/login", data)
// 获取微信code
export const postopenid = (data) => instance.post("/firectrl/wechat/openid", data)

// 直接登录
export const wechatLogin = (data) => instance.post("/firectrl/school/policeman/wechat/login", data)
// 注册
export const postAddLogin = (data) => instance.post("/firectrl/school/policeman/add", data)

// 修改学校信息
export const postAddupdate = (data) => instance.post("/firectrl/school/policeman/update", data)

// 打卡
export const postIotserver = (data) => instance.post("/iotserver/school/guard_sign/sign", data)

// 获取派出所列表
export const getBoroughList = (data) => instance.post("/firectrl/school/get_borough_list", data)

// 获取派出所下面的学校
export const getstationList = (data) => instance.post("/firectrl/school/get_station_list", data)

// 获取学校信息
export const getstationbase = (data) => instance.post("/firectrl/station/base", data)

// 日常 安全检查接口
 export const getcheckaddList = (data) => instance.post("/iotserver/school/check/add", data)
// 星级评定接口
 export const getcheckList = (data) => instance.post("/iotserver/school/star_detail/add", data)
 // 三色评定接口
  export const getcolordetail = (data) => instance.post("/iotserver/school/color_detail/add", data)
// 图片上传服务器
export const pictureUpload = (data)=>instance.post("/mdev/picture/upload",data)

// 风采上传
export const schoolnewsdata = (data)=>instance.post("/firectrl/school/news/add",data)

// 新闻查询接口
export const getnewslast = (data)=>instance.post("/firectrl/police/news/getlast",data)

// 校园风采列表10条
export const getnewslist = (data)=>instance.post("/firectrl/school/news/getlast",data)
// 校园风采全部
export const getnewslists = (data)=>instance.post("/firectrl/school/news/getlist",data)

// 校园点赞
export const getschoolpraise = (data)=>instance.post("/firectrl/school/news/praise",data)

// 新闻点赞
export const getnewspraise = (data)=>instance.post("/firectrl/police/news/praise",data)

//整改工单
export const getwordOrder = (data)=>instance.post("/school/pending/item/getlist",data)

// 意见收集
export const firectrlAdvice = (data)=>instance.post("/firectrl/advice/add",data)

// 一键报警
export const iotserveralarmadd = (data)=>instance.post("/iotserver/public/alarm/add",data)

//星级的总分数
export const getstarRating = (data)=>instance.post("/iotserver/school/star_rating/summary",data)

// 单个学校的星级评定记录  现在用不到    /iotserver/school/star_detail/getdetail
// /iotserver/school/star_detail/getlist  查询全部的历史记录
export const getdetaitList = (data)=>instance.post("/iotserver/school/star_detail/getlist ",data)

// 三色预警
export const getcolorList = (data)=>instance.post("/iotserver/school/color_detail/getlist",data)


// 打卡数据全部
export const getsignevent = (data)=>instance.post("/firectrl/school/sign_event/getlist",data)

// 整改回单接口
export const getpendingOperate = (data)=>instance.post("/school/pending/item/operate",data)


// 数据中心
export const getpendsystemCount = (data)=>instance.post("/firectrl/system/count",data)


//一周打卡统计图表接口 
export const getpendssignWeeks = (data)=>instance.post("/firectrl/schoolsign/weeks",data)

// 一周统计风采上传接口
export const getpendnewsWeeks = (data)=>instance.post("/firectrl/schoolnews/weeks",data)

// 以往的所有评定数据
export const getschoolLIst = (data)=>instance.post("/iotserver/school/star_rating/getlist",data)


// 添加评论
export const getremarkAdd = (data)=>instance.post("/firectrl/school/news/remark/add",data)

// 评论记录审核后的    /firectrl/school/news/remark/getopenlist

// 评论记录没有审核的 /firectrl/school/news/remark/getlist
export const getremarkgetlist = (data)=>instance.post("/firectrl/school/news/remark/getopenlist",data)

// 年份接口
export const gettimelabellist = (data)=>instance.post("/iotserver/school/timelabel/getlist",data)


